<template>
    <div>
        <v-container grid-list-md>
            <v-layout row wrap>
                <v-flex v-for="beer in beers" :key="beer.id" xs4>
                    <BeerCard :beer="beer" />
                </v-flex>
            </v-layout>
        </v-container>
    </div>
</template>

<script>
import axios from "axios";
import BeerCard from "../components/BeerCard.vue";

export default {
  mounted() {
    axios
      .get("https://api.punkapi.com/v2/beers?brewed_before=11-2012&abv_gt=6")
      .then(response => (this.beers = response.data));
  },
  data() {
    return {
      beers: []
    };
  },
  components: {
      BeerCard
  }
};
</script>